<div class="module-search">
	<h2>Rechercher</h2>
	<form action="index.php">

		<input type="hidden" name="search" value="on">

		<select name="zone" class="zone">
			<option <?php if (!(isset($_GET['zone']))) { echo 'selected="selected"'; } ?> disabled="disabled">Région</option>
			<option <?php if ($_GET['zone'] === 'bourgogne') { echo 'selected="selected"'; } ?> value="bourgogne">Bourgogne</option>
			<option <?php if ($_GET['zone'] === 'rhones-alpes') { echo 'selected="selected"'; } ?> value="rhones-alpes">Rhônes-Alpes</option>
		</select>

		<select disabled="disabled" name="cp" class="cp">
			<option selected="selected" disabled="disabled">Ville</option>
			<!-- Here there are 'villes' generated by JS on 'zone' change-->
		</select>

		<select name="type" class="type">
			<option <?php if (!(isset($_GET['type']))) { echo 'selected="selected"'; } ?> disabled="disabled">Type de bien</option>
			<option <?php if ($_GET['type'] === 'appartement') { echo 'selected="selected"'; } ?> value="appartement">Appartement</option>
			<option <?php if ($_GET['type'] === 'maison') { echo 'selected="selected"'; } ?> value="maison">Maison</option>
		</select>

		<select name="piece" class="piece">
			<option <?php if (!(isset($_GET['piece']))) { echo 'selected="selected"'; } ?> disabled="disabled">Nombre de pièces</option>
			<option <?php if ($_GET['piece'] === '2') { echo 'selected="selected"'; } ?> value="2">2</option>
			<option <?php if ($_GET['piece'] === '3') { echo 'selected="selected"'; } ?> value="3">3</option>
			<option <?php if ($_GET['piece'] === '4') { echo 'selected="selected"'; } ?> value="4">4</option>
			<option <?php if ($_GET['piece'] === '5') { echo 'selected="selected"'; } ?> value="5">5</option>
			<option <?php if ($_GET['piece'] === '6') { echo 'selected="selected"'; } ?> value="6">6</option>
			<option <?php if ($_GET['piece'] === '7') { echo 'selected="selected"'; } ?> value="7">7</option>
			<option <?php if ($_GET['piece'] === '8') { echo 'selected="selected"'; } ?> value="8">8</option>
		</select>

		<input <?php if (isset($_GET['surface_min'])) { echo 'value="'. $_GET['surface_min'] .'"'; } ?> name="surface_min" type="text" class="min" placeholder="Surface Min">
		<input <?php if (isset($_GET['surface_max'])) { echo 'value="'. $_GET['surface_max'] .'"'; } ?> name="surface_max" type="text" class="max" placeholder="Surface Max">

		<input <?php if (isset($_GET['budget_min'])) { echo 'value="'. $_GET['budget_min'] .'"'; } ?> name="budget_min" type="text" class="min" placeholder="Budget Min">
		<input <?php if (isset($_GET['budget_max'])) { echo 'value="'. $_GET['budget_max'] .'"'; } ?> name="budget_max" type="text" class="max" placeholder="Budget Max">

		<input type="submit" class="submit" value="Rechercher">

	</form>
</div>

<script>

	<?php echo isset($_GET['cp']) ? 'var cp = \''. $_GET['cp'] .'\';'. PHP_EOL : 'var cp;'. PHP_EOL ; ?>

	$('.module-search form select.zone').change(function(){

		myZone = $(this).val();

		if (myZone !== null) {

			$.ajax({
				url: 'index.php?json=on&zone='+ myZone,
				type: 'json',
				success: function(data){

					var options = '<option selected="selected" disabled="disabled">Ville</option>';

					for (i = 0; i < data.length; i++) {

						if (data[i].codepostal === cp) {

							options += '<option selected="selected" value="'+ data[i].codepostal +'">'+ data[i].ville +'</option>';
							cpIsSet = true;

						} else {

							options += '<option value="'+ data[i].codepostal +'">'+ data[i].ville +'</option>';
							cpIsSet = false;
						}
					}

					$('.module-search form select.cp').html(options).removeAttr('disabled');

					if (cpIsSet) { $('.module-search form select.cp option:first').removeAttr('selected') }

				},
				error: function(){

					alert('Une erreur est survenue lors de la récupération des villes de la zone que vous avez sélectionné...');

				}
			});
			
		}

	}).trigger('change');

	$('.module-search form').submit(function(e){

		if ($('select.zone', this).val() === null) {

			e.preventDefault();
			alert('Sélectionnez au moins une zone de recherche...');

		}

	});

</script>